subroutine nbi_dalloc_splt
 
  use nbi_com
  implicit NONE
 
  !==============================================
  ! allocate arrays
 
  if(allocated(nbsbsa)) deallocate(nbsbsa)
  if(allocated(nbebsa)) deallocate(nbebsa)
  if(allocated(einjbsa)) deallocate(einjbsa)
  if(allocated(pinjbsa)) deallocate(pinjbsa)
  if(allocated(rbsa)) deallocate(rbsa)
  if(allocated(tbsa)) deallocate(tbsa)
  if(allocated(thbsa)) deallocate(thbsa)
  if(allocated(vbsa)) deallocate(vbsa)
  if(allocated(wtbsa)) deallocate(wtbsa)
  if(allocated(xisbsa)) deallocate(xisbsa)
  if(allocated(xksbsa)) deallocate(xksbsa)
 
end subroutine nbi_dalloc_splt
